you should also think about starting with Fusion 2.5. Most users switched years ago, so you won't get much traffic here...